GNU bug report logs - #44418
28.0.50; Spliced variable not matched as symbol in isearch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Basil L. Contovounesios" <contovob@HIDDEN>; dated Tue, 3 Nov 2020 15:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug No longer marked as fixed in versions 29.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 8 Jun 2022 12:29:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 08 08:29:20 2022
Received: from localhost ([127.0.0.1]:42707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyuoK-0006I9-CG
	for submit <at> debbugs.gnu.org; Wed, 08 Jun 2022 08:29:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyuoH-0006Hp-DY
 for 44418 <at> debbugs.gnu.org; Wed, 08 Jun 2022 08:29:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TvkR7DoMnqFy5A6NdtroYP7SfaZyrJHdvaeE4DTEOZA=; b=qoITYVvQNK2rJJgYo+o2XX1fs8
 IO1bxnfghLNqKxv37InXBlwSvZJ+YiHmyMwv8QpGI2O1A5zXdBNmWBWRil6G8qAvpdGT0t4Stk58K
 3t6iHRWHncsYTPxXF6Q4/PcBuNWx5t73s/5qcE+sh425SNJDVOHQ1Ddbvrg7HyXc33hM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyuo7-0006nB-Ap; Wed, 08 Jun 2022 14:29:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
References: <87zh3yh2mb.fsf@HIDDEN> <87v8tclqao.fsf@HIDDEN>
 <jwvmteollxv.fsf-monnier+emacs@HIDDEN> <871qw0e5ar.fsf@HIDDEN>
 <jwvilpcbakm.fsf-monnier+emacs@HIDDEN>
Date: Wed, 08 Jun 2022 14:29:06 +0200
In-Reply-To: <jwvilpcbakm.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 07 Jun 2022 14:20:29 -0400")
Message-ID: <87h74v9w4t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  This led to edebug tests hanging, so I've reverted the change
 for now and am reopening this bug report. The offending change was
 d003848b5e3ad2dfbe84cc62b99776fdc6734325.
 -- (domestic pets only, the antidote for overdose,
 milk.) bloggy blog: http://lars.ingebrigtsen.no
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44418
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 44418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This led to edebug tests hanging, so I've reverted the change for now
and am reopening this bug report.  The offending change was
d003848b5e3ad2dfbe84cc62b99776fdc6734325.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 44418 <at> debbugs.gnu.org and "Basil L. Contovounesios" <contovob@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 7 Jun 2022 18:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 14:28:28 2022
Received: from localhost ([127.0.0.1]:41464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nydwK-0007k7-E9
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 14:28:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nydwG-0007jl-U3
 for 44418 <at> debbugs.gnu.org; Tue, 07 Jun 2022 14:28:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hW1tFElVdZ+xoWFYkCDw4YxOgC73dXb9OoIfSWtapgY=; b=fPXoOJh5FFr2pnXAiUBhU78apQ
 WqP5j1N8bDZDcq6JJ9Nn21Q/Q1fbok4oXiQ0gJnUgmqBycSm8sUmw+HRcO2xMeikfZAjce65hgr6q
 pgqw1aUZ72trylXkWK+RLgHweo7UlsoDcTEfPwxtkVfpvDYrvFOESPypRVpEdArIxkZE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nydw6-0006nu-75; Tue, 07 Jun 2022 20:28:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
References: <87zh3yh2mb.fsf@HIDDEN> <87v8tclqao.fsf@HIDDEN>
 <jwvmteollxv.fsf-monnier+emacs@HIDDEN> <871qw0e5ar.fsf@HIDDEN>
 <jwvilpcbakm.fsf-monnier+emacs@HIDDEN>
Date: Tue, 07 Jun 2022 20:28:13 +0200
In-Reply-To: <jwvilpcbakm.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 07 Jun 2022 14:20:29 -0400")
Message-ID: <87fskgcoqq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> The
 following
 seems to do the trick -- does this look OK to you? > > Fine by me, OK; now
 pushed to Emacs 29. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44418
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 44418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> The following seems to do the trick -- does this look OK to you?
>
> Fine by me,

OK; now pushed to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 7 Jun 2022 18:20:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 14:20:53 2022
Received: from localhost ([127.0.0.1]:41453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nydoz-0007YS-7g
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 14:20:53 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:14552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1nydok-0007Xt-A4
 for 44418 <at> debbugs.gnu.org; Tue, 07 Jun 2022 14:20:52 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D7672100E70;
 Tue,  7 Jun 2022 14:20:32 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 4F52810048C;
 Tue,  7 Jun 2022 14:20:30 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1654626030;
 bh=uzpNfThg75SlFfY0usr3xZ5efYbFs16lHdmwY4/1wHk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=nJaYxqrczXhvBdeJsnzlQ8/59pSXIxO5vEaGROTjlGnOMLLJ0tZqZvbdTdaD0reQM
 8ch+T37L9QTnNYd1YAdAsCvXPpQkKg43QpHdxRyVdSGYrp8f6aNXd94zy1RjA8qdO3
 YLSSGHmN8NiliROGt0YncOugLF8PT6nrkvpRvhN+E4BjvLxPApu652NfYTO5y8DErl
 bK2+CvvXNqyFVCs0rRIAVQE31eGBiTpL9nINxAn9rsY6mdEGvenTBP4S/JTg68EPUn
 6mTlm9WMi9SQspe+dKEaDiRXHXJOr5v86ikUJfjnJOoAZyEknSuF+J4H7cpRyc2mXI
 v+FtLknWzF9vg==
Received: from alfajor (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 218F7120246;
 Tue,  7 Jun 2022 14:20:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
Message-ID: <jwvilpcbakm.fsf-monnier+emacs@HIDDEN>
References: <87zh3yh2mb.fsf@HIDDEN> <87v8tclqao.fsf@HIDDEN>
 <jwvmteollxv.fsf-monnier+emacs@HIDDEN> <871qw0e5ar.fsf@HIDDEN>
Date: Tue, 07 Jun 2022 14:20:29 -0400
In-Reply-To: <871qw0e5ar.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 07 Jun 2022 19:45:16 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.042 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44418
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 44418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The following seems to do the trick -- does this look OK to you?

Fine by me,


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 7 Jun 2022 17:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 13:45:32 2022
Received: from localhost ([127.0.0.1]:41425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nydGl-0004RA-Vc
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 13:45:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nydGi-0004Qx-W6
 for 44418 <at> debbugs.gnu.org; Tue, 07 Jun 2022 13:45:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pL+eu3iIZ+KCB8XkRwRNyGsk2FYK7H+eq0l3R9nt9H0=; b=ZR5SfQe3F3yUP1s7uB0irCFQpF
 KeoulpD7oZLhJ9Ul6J3onzOyQFHnhRjU6Zu2v9x1XvilR3iVlaMigE8dEQTzg3sSKKicO3QZcRjC5
 mFMtrJyRHl1avvDclLp0+mt9w96xcXXV1cAU+Osiz3PE8SQcQ0Xaq/CI8UI+3Nqcmm5c=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nydGX-0006Gf-Qg; Tue, 07 Jun 2022 19:45:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
References: <87zh3yh2mb.fsf@HIDDEN> <87v8tclqao.fsf@HIDDEN>
 <jwvmteollxv.fsf-monnier+emacs@HIDDEN>
Date: Tue, 07 Jun 2022 19:45:16 +0200
In-Reply-To: <jwvmteollxv.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 07 Jun 2022 08:05:31 -0400")
Message-ID: <871qw0e5ar.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > `@x` is
 a valid symbol, which is why `?@` is given symbol syntax. > If we want to
 fix the above search we need to use > `syntax-propertize-function` to change
 the syntax of those `@` that > follow a [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44418
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 44418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> `@x` is a valid symbol, which is why `?@` is given symbol syntax.
> If we want to fix the above search we need to use
> `syntax-propertize-function` to change the syntax of those `@` that
> follow a comma.

The following seems to do the trick -- does this look OK to you?

diff --git a/lisp/progmodes/elisp-mode.el b/lisp/progmodes/elisp-mode.el
index 77bf3f1ed1..210270bc67 100644
--- a/lisp/progmodes/elisp-mode.el
+++ b/lisp/progmodes/elisp-mode.el
@@ -245,6 +245,9 @@ elisp-mode-syntax-propertize
       ;; Empty symbol.
       ("##" (0 (unless (nth 8 (syntax-ppss))
                  (string-to-syntax "_"))))
+      ;; Give ,@ a prefix syntax.
+      (",@" (0 (unless (ppss-comment-or-string-start (syntax-ppss))
+                 (string-to-syntax "'"))))
       ;; Unicode character names.  (The longest name is 88 characters
       ;; long.)
       ("\\?\\\\N{[-A-Za-z0-9 ]\\{,100\\}}"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 7 Jun 2022 12:05:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 08:05:43 2022
Received: from localhost ([127.0.0.1]:38885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyXxu-0005I7-Nj
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 08:05:42 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:19286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1nyXxs-0005Hs-K2
 for 44418 <at> debbugs.gnu.org; Tue, 07 Jun 2022 08:05:41 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id BB1558108D;
 Tue,  7 Jun 2022 08:05:33 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 45213808E1;
 Tue,  7 Jun 2022 08:05:32 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1654603532;
 bh=Li1i9lqnwLeSLVvGGNVWnD61fybJQyDFQlkiELBhVgY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=GgDcT8kE9vhFwJ6mTc7x1aeGtZwYSmHWZhvE0pFOm0/4cdkvem5ib/JHsRFxjjXbV
 7QMgHPz8RcWbOsSOQpJLDQQCPlWY8iEOMwqXwz4Ygg5/DeNHKzE7rWPFKIcYMuy0O3
 cU2AxyJpAOJ/GaN+W+d25l1yCJfCOXEtREUOe7/dhH2O5Sl/KRDX+9t19Q4b2zWqYE
 wuPCJYaCkh2WJiWSE1bu7fuVHm5mxTTPvRED9uRv5nNCRBMk36QPadWYB4sBQvLNQ0
 tFI8BqO72eseJFdGZPx62uDFL+ohgW00WwwiKQQHj8mRJZ5IRg2C7fgly7cQOg+WXu
 7V4MBylCzeVzw==
Received: from pastel (unknown [45.72.221.51])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0F78F1202AF;
 Tue,  7 Jun 2022 08:05:32 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
Message-ID: <jwvmteollxv.fsf-monnier+emacs@HIDDEN>
References: <87zh3yh2mb.fsf@HIDDEN> <87v8tclqao.fsf@HIDDEN>
Date: Tue, 07 Jun 2022 08:05:31 -0400
In-Reply-To: <87v8tclqao.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 07 Jun 2022 12:29:51 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.056 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44418
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 44418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> 0. emacs -Q
>> 1. (let (x) `(,@x))
>> 2. M-s _ x
>>
>> This highlights the bound x, but not the spliced x.  The same happens
>> with 'M-s .' or the equivalent 'C-M-s'.
>>
>> This is because lisp--mode-syntax-table gives 'prefix' syntax to ?, and
>> 'symbol' syntax to ?@.  Is it possible to give 'prefix' syntax to ",@"
>> as a whole, and in general?
>
> (This is still present in Emacs 29.)
>
> I'm not sure whether that is possible or not -- perhaps Stefan knows;
> added to the CCs.

`@x` is a valid symbol, which is why `?@` is given symbol syntax.
If we want to fix the above search we need to use
`syntax-propertize-function` to change the syntax of those `@` that
follow a comma.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.

Message received at 44418 <at> debbugs.gnu.org:


Received: (at 44418) by debbugs.gnu.org; 7 Jun 2022 10:30:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 06:30:09 2022
Received: from localhost ([127.0.0.1]:38178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyWTQ-000493-Ov
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 06:30:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyWTK-00044j-1W
 for 44418 <at> debbugs.gnu.org; Tue, 07 Jun 2022 06:30:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AkHh3eJWK2udFUurJpk5zggSAAii5gQgQ0Wpls63De8=; b=ZIA51Kk4Mb3ltE3XY7+UnWByUc
 aWAsg0oEinNeCWKiqRwj4OfBrfZK0IRp9QXz440uKo87zir5uBsIYD+6X/sXWbRdbt8rk3m/M0skc
 2afyj+DN568v7fgKQGJZ0TpkbvlaMEI0RonDsmZzuuEbelYRKKc5uQxPoKxRuKdl72zw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyWT9-0001IY-V4; Tue, 07 Jun 2022 12:29:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in
 isearch
References: <87zh3yh2mb.fsf@HIDDEN>
X-Now-Playing: Blaine L. Reininger's _Commissions 2 (1)_: "Atomium Sunrise"
Date: Tue, 07 Jun 2022 12:29:51 +0200
In-Reply-To: <87zh3yh2mb.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Tue, 03 Nov 2020 15:38:36 +0000")
Message-ID: <87v8tclqao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Basil L. Contovounesios" <contovob@HIDDEN> writes: > 0.
 emacs
 -Q > 1. (let (x) `(,@x)) > 2. M-s _ x > > This highlights the bound x, but
 not the spliced x. The same happens > with 'M-s .' or the equivalent 'C-M-s'.
 > > This is because lisp--mode-synta [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44418
Cc: 44418 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> 0. emacs -Q
> 1. (let (x) `(,@x))
> 2. M-s _ x
>
> This highlights the bound x, but not the spliced x.  The same happens
> with 'M-s .' or the equivalent 'C-M-s'.
>
> This is because lisp--mode-syntax-table gives 'prefix' syntax to ?, and
> 'symbol' syntax to ?@.  Is it possible to give 'prefix' syntax to ",@"
> as a whole, and in general?

(This is still present in Emacs 29.)

I'm not sure whether that is possible or not -- perhaps Stefan knows;
added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2020 15:38:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 10:38:53 2020
Received: from localhost ([127.0.0.1]:46093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZyOb-0001ip-Do
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 10:38:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:54832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1kZyOZ-0001ih-V6
 for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 10:38:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53466)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1kZyOZ-0001pf-Bv
 for bug-gnu-emacs@HIDDEN; Tue, 03 Nov 2020 10:38:51 -0500
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:53464)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1kZyOU-0003Bv-K7
 for bug-gnu-emacs@HIDDEN; Tue, 03 Nov 2020 10:38:50 -0500
Received: by mail-wm1-x330.google.com with SMTP id p22so13202661wmg.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 03 Nov 2020 07:38:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:mime-version;
 bh=tazjinw3o1Wkcm2vL60DrSZJ1c963t7VXJmX3TO2Vq8=;
 b=IvfVW/AC6X0T/OVMu879aGFWIhqHCUnRhbRrrQn+BgeXy5xDTY0fUhfq/qnoMu8HLj
 3PfgQVjonoRTLFphQHxhTH9ZuwfT8oM2VlN0SR/3DnGLe4fohtyUjf7fHAtj8rMX32DU
 dh+By2zmFfgdQSVjA6iKHJ7rQ+VQmxAWKvaLHy7VaPanGzR7kub2ickBolwNv9HEdVks
 ALbdh44DnU1Zsjv8sgFkDoNzx6EqmatNxMUMxO5RUZEUDhLzSutSk+d1drJIBV97pzpZ
 IhNvti3Ac/MepPVxR/CczxoI3H3dh9wDWM827VINp9ZBuolke6O2LnXefkclDlCnCFG/
 GOMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=tazjinw3o1Wkcm2vL60DrSZJ1c963t7VXJmX3TO2Vq8=;
 b=l3Iu7Te1VlkrVTvUjW2OCJpd8VI6Kh5hYjJovQWykfcaC8r/wXjckAw1a8mnxmh8MP
 eM7weCkSeev2Uff/s2lM59hfMJjJIuC35JGovgLmlabjgmUPssAfnZtKgLaX7lfxNt95
 wxwu6vTq1rUnQWm9DDkoYvobV+dDEemZM+Qe3KgYted15mY/h/WHFNPs3cOKpKNpIbua
 IDxWw7JdLTfYQulB6t1G/YPyuGMatLiMBmlWLBCEGeX32ec+m0QFoQHePNa/58y1WLkJ
 qFoeSt/bSxdDI8tQ1KWbjbnj1oXyICPV8a5LpW0+LODlf0wcGQXl2tU5dkZUcBkc2L8t
 vYtw==
X-Gm-Message-State: AOAM533y5Gcab6TkXBV5WyV209YwbIq0acuPCcQTBa0aaEhMAuCTB2Nd
 6BmDirwx+EVJacNAuYloESA+Fsrtl8Uo4g==
X-Google-Smtp-Source: ABdhPJwWTQA+l8GxzRy64FtpP3S2z0dJlmae8SSmxieTZmojJ0r2Ws+VvwDbl2/bg8iuUEAVK0tJJg==
X-Received: by 2002:a1c:5a86:: with SMTP id o128mr306720wmb.129.1604417918046; 
 Tue, 03 Nov 2020 07:38:38 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id o17sm1937523wmd.34.2020.11.03.07.38.37
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 03 Nov 2020 07:38:37 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Spliced variable not matched as symbol in isearch
Date: Tue, 03 Nov 2020 15:38:36 +0000
Message-ID: <87zh3yh2mb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2a00:1450:4864:20::330;
 envelope-from=contovob@HIDDEN; helo=mail-wm1-x330.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Severity: minor

0. emacs -Q
1. (let (x) `(,@x))
2. M-s _ x

This highlights the bound x, but not the spliced x.  The same happens
with 'M-s .' or the equivalent 'C-M-s'.

This is because lisp--mode-syntax-table gives 'prefix' syntax to ?, and
'symbol' syntax to ?@.  Is it possible to give 'prefix' syntax to ",@"
as a whole, and in general?

[This behaviour exists since at least as far back as Emacs 24.5.1.
 I wouldn't be surprised if this has been reported before,
 but my searches came up dry.]

Thanks,

-- 
Basil

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2020-11-02 built on thunk
Repository revision: 95f7a2835a79c1f12b5dc86230405e8040910c72
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O2 -march=native' --config-cache
 --prefix=/home/blc/.local --with-x-toolkit=lucid
 --with-file-notification=yes --with-x'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS
LIBSYSTEMD JSON PDUMPER LCMS2

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml easymenu mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
misearch multi-isearch tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 52709 5287)
 (symbols 48 6786 1)
 (strings 32 19027 1309)
 (string-bytes 1 616874)
 (vectors 16 12242)
 (vector-slots 8 168612 9829)
 (floats 8 23 45)
 (intervals 56 231 0)
 (buffers 992 10))




Acknowledgement sent to "Basil L. Contovounesios" <contovob@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44418; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Jun 2022 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.